> ## Documentation Index > Fetch the complete documentation index at: https://docs.mapp.com/llms.txt > Use this file to discover all available pages before exploring further. # Poll results for a topic by index > Retrieves a specific number of results for a topic from the result queue, starting from the given offset. ## OpenAPI ````json GET /async/pollByIndex { "openapi": "3.0.4", "info": { "title": "Engage public API", "version": "1" }, "servers": [ { "url": "https://your-engage-domain.com/api/rest" } ], "tags": [ { "name": "Address Attributes" }, { "name": "Async" }, { "name": "Audit Log" }, { "name": "Automation" }, { "name": "Blacklist" }, { "name": "CMS (legacy)" }, { "name": "CMS Blocks" }, { "name": "CMS Frameworks" }, { "name": "CMS Messages" }, { "name": "CMS Templates" }, { "name": "Contact" }, { "name": "Content" }, { "name": "Coupon" }, { "name": "Draft Message" }, { "name": "Ecommerce" }, { "name": "Group" }, { "name": "Group Attributes" }, { "name": "Landing Page" }, { "name": "Member Attributes" }, { "name": "Membership" }, { "name": "Message" }, { "name": "Meta" }, { "name": "Mobile Push" }, { "name": "Prepared Message" }, { "name": "Process" }, { "name": "Profile Attributes" }, { "name": "Related Data" }, { "name": "Segmentation" }, { "name": "System" }, { "name": "System User" }, { "name": "Usage Statistics" }, { "name": "User" }, { "name": "Whiteboard" } ], "paths": { "/async/pollByIndex": { "get": { "tags": [ "Async" ], "summary": "Poll results for a topic by index", "description": "Retrieves a specific number of results for a topic from the result queue, starting from the given offset.", "operationId": "pollByIndex", "parameters": [ { "name": "topic", "in": "query", "description": "Name of the topic.", "required": true, "schema": { "type": "string" } }, { "name": "index", "in": "query", "description": "A number of the offset to start from.", "required": true, "schema": { "type": "integer", "format": "int64" } }, { "name": "limit", "in": "query", "description": "A number of result items to retrieve.", "required": true, "schema": { "type": "integer", "format": "int32" } } ], "responses": { "200": { "description": "", "content": { "application/json": { "schema": { "type": "array", "items": { "type": "object" } } } } }, "400": { "description": "Required parameters are missing or incorrect.", "content": { "application/json": {} } } } } } } } ````